#
# spec file for package python3-setuptools_scm_git_archive
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-setuptools_scm_git_archive
Version:        1.0
Release:        3.6
Summary:        Setuptools_scm plugin for git archives
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Changaco/setuptools_scm_git_archive/
Source0:        https://files.pythonhosted.org/packages/source/s/setuptools_scm_git_archive/setuptools_scm_git_archive-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools >= 12
BuildRequires:  python3-setuptools_scm
Requires:       python3-setuptools_scm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a setuptools_scm plugin that adds support for git archives (for example the ones GitHub automatically generates).

%prep
%setup -q -n setuptools_scm_git_archive-%{version}
# .git_archival.txt doesn't work with setuptools_scm
rm -f .git_archival.txt

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Apr  8 2016 arun@gmx.de
- specfile:
  * fix source url
* Wed Mar 30 2016 t.gruner@katodev.de
- Initial release 1.0
- remove .git_archival.txt
  setuptools_scm can't find the version in this file
